#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1994 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../common/guess. `
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir xcuckoo
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib
/bin/rm -f $BUILDDIR/zcat
/bin/ln -s $SOURCEDIR/../$machine/bin/zcat. $BUILDDIR/zcat

DIR=xcuckoo

cd $BUILDDIR/xcuckoo
cat $SOURCEDIR/xcuckoo/xcucko11.gz | $BUILDDIR/zcat -d -c | tar xvof -
cd $DIR
test -f  $SOURCEDIR/xcuckoo/rtrpatch.xcuckoo &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/xcuckoo/rtrpatch.xcuckoo | patch -p -s )
test -f  $SOURCEDIR/xcuckoo/$machine/xcuckoo. \
&&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/xcuckoo/$machine/xcuckoo. | patch -b .rtr -p -s )

xmkmf
make
if test "$RM" != "" ; then make install ; fi
if test "$RM" != "" ; then make install.man ; fi

cd $BUILDDIR/xcuckoo
cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/xcuckoo ; fi
